## wavpack 5.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

project(WavPack VERSION 5.2.0)

# Languages

include(CheckLanguage)

check_language(ASM)
if(CMAKE_ASM_COMPILER)
  enable_language(ASM)
endif()

if(MSVC)
  enable_language(ASM_MASM)
else()
  check_language(ASM-ATT)
  if(CMAKE_ASM-ATT_COMPILER)
    enable_language(ASM-ATT)
  endif()
endif()


# Policies

# CMake 3.11 warning: Include file check macros honor CMAKE_REQUIRED_LIBRARIES.
if(POLICY CMP0075)
  cmake_policy(SET CMP0075 NEW)
endif()

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
if(CMAKE_VERSION VERSION_LESS 3.11)
    list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
endif()

if(CMAKE_VERSION VERSION_LESS 3.12)
	set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
	set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
	set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
	set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})
endif()

include(CheckCCompilerFlag)
include(CheckCLinkerFlag)
include(TestLargeFiles)
include(CheckLanguage)
include(CheckLibraryExists)
include(CheckFunctionExists)
include(CMakeDependentOption)
include(GNUInstallDirs)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(CPack)
include(FindOpenSSL)

# Options. See also dependent options below

option(WAVPACK_ENABLE_LEGACY "Decode legacy (< 4.0) WavPack files" OFF)
option(WAVPACK_ENABLE_DSD "Enable support for WavPack DSD files" ON)
option(WAVPACK_INSTALL_CMAKE_MODULE "Generate and install CMake package configuration module" ON)
option(WAVPACK_INSTALL_DOCS "Install documentation" ON)
option(WAVPACK_INSTALL_PKGCONFIG_MODULE "Generate and install wavpack.pc" ON)

# Configuration tests

check_library_exists(m cos "" HAVE_LIBM)
if(HAVE_LIBM)
    list(APPEND CMAKE_REQUIRED_LIBRARIES m)
endif()

find_package(Threads)
find_package(Iconv)
find_package(LibXslt)
find_package(OpenSSL)

set(DOCBOOK_PREREQS_FOUND FALSE)
if(LIBXSLT_XSLTPROC_EXECUTABLE)
    if(NOT $ENV{XML_CATALOG_FILES} STREQUAL "")
        set(XML_CATALOG_FILEPATH $ENV{XML_CATALOG_FILES})
    else()
        set(XML_CATALOG_FILEPATH "/etc/xml/catalog")
    endif()

    find_program(XMLCATALOG_EXECUTABLE xmlcatalog)

    if(XMLCATALOG_EXECUTABLE)
        execute_process(
            COMMAND ${XMLCATALOG_EXECUTABLE} --noout ${XML_CATALOG_FILEPATH} "-//OASIS//DTD DocBook XML V4.1.2//EN"
            RESULT_VARIABLE DOCBOOK_XML_RSLT
            OUTPUT_QUIET
            ERROR_QUIET
        )
        if(DOCBOOK_XML_RSLT EQUAL 0)
            execute_process(
                COMMAND ${XMLCATALOG_EXECUTABLE} --noout ${XML_CATALOG_FILEPATH} "http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl"
                RESULT_VARIABLE DOCBOOK_XSL_RSLT
                OUTPUT_QUIET
                ERROR_QUIET
            )
            if(DOCBOOK_XML_RSLT EQUAL 0)
                set(DOCBOOK_PREREQS_FOUND TRUE)
            endif()
        endif()
    endif()
endif()

check_c_source_compiles(
        "int main()
        {
            return __builtin_clz(1);
        }"
        HAVE___BUILTIN_CLZ
)

test_large_files(LARGE_FILES_SUPPORTED)
if(LARGE_FILES_SUPPORTED)
    add_definitions(${LARGE_FILES_DEFINITIONS})
endif()
check_function_exists(fseeko HAVE_FSEEKO)

if(CMAKE_SYSTEM_PROCESSOR MATCHES "amd64.*|x86_64.*|AMD64.*")
    if(CMAKE_SIZEOF_VOID_P EQUAL 8)
        set(CPU_ASM_X64 1)
    elseif(CMAKE_SIZEOF_VOID_P EQUAL 4)
        set(CPU_ASM_X86 1)
    endif()
elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "i386.*|i486.*|i586.*|i686.*|i786.*")
    set(CPU_ASM_X86 1)
elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
    if(CMAKE_SIZEOF_VOID_P EQUAL 4)
        set(CPU_ASM_ARM32 1)
    endif()
endif()

if(WIN32 AND (NOT MINGW))
    if(CMAKE_ASM_MASM_COMPILER AND (CPU_ASM_X86 OR CPU_ASM_X64))
        set(HAVE_MASM 1)
    endif()
else()
    if(CMAKE_ASM-ATT_COMPILER)
        if(CPU_ASM_X86 OR CPU_ASM_X64 OR CPU_ASM_ARM32)
            set(HAVE_ASM 1)
        endif()
    endif()
endif()

# Dependent options

cmake_dependent_option(WAVPACK_ENABLE_ASM "Enable assembly optimizations" ON "HAVE_ASM OR HAVE_MASM" OFF)
cmake_dependent_option(WAVPACK_ENABLE_LIBCRYPTO "Use OpenSSL::Crypto library" ON "OPENSSL_FOUND" OFF)
cmake_dependent_option(WAVPACK_BUILD_PROGRAMS "Build programs" ON "Iconv_FOUND" OFF)
cmake_dependent_option(WAVPACK_BUILD_COOLEDIT_PLUGIN "Build CoolEdit plugin" ON "WIN32" OFF)
cmake_dependent_option(WAVPACK_BUILD_WINAMP_PLUGIN "Build WinAmp plugin" ON "WIN32" OFF)
cmake_dependent_option(BUILD_TESTING "Build tests" ON "NOT WIN32" OFF)
cmake_dependent_option(WAVPACK_BUILD_DOCS "Build documentation" ON "DOCBOOK_PREREQS_FOUND" OFF)

# Targets

add_library(wavpack
    src/common_utils.c
    src/decorr_utils.c
    src/entropy_utils.c
    src/extra1.c
    src/extra2.c
    src/open_utils.c
    src/open_filename.c
    src/open_legacy.c
    src/open_raw.c
    src/pack.c
    src/pack_dns.c
    src/pack_floats.c
    src/pack_utils.c
    src/read_words.c
    src/tags.c
    src/tag_utils.c
    src/unpack.c
    src/unpack_floats.c
    src/unpack_seek.c
    src/unpack_utils.c
    src/write_words.c
    src/decorr_tables.h
    src/unpack3.h
    src/wavpack_local.h
    src/wavpack_version.h
    $<$<BOOL:${WAVPACK_ENABLE_LEGACY}>:src/unpack3.c>
    $<$<BOOL:${WAVPACK_ENABLE_LEGACY}>:src/unpack3_open.c>
    $<$<BOOL:${WAVPACK_ENABLE_LEGACY}>:src/unpack3_seek.c>
    $<$<BOOL:${WAVPACK_ENABLE_DSD}>:src/pack_dsd.c>
    $<$<BOOL:${WAVPACK_ENABLE_DSD}>:src/unpack_dsd.c>
    $<$<AND:$<BOOL:${WAVPACK_ENABLE_ASM}>,$<BOOL:${HAVE_MASM}>,$<BOOL:${CPU_ASM_X86}>>:src/pack_x86.asm>
    $<$<AND:$<BOOL:${WAVPACK_ENABLE_ASM}>,$<BOOL:${HAVE_MASM}>,$<BOOL:${CPU_ASM_X86}>>:src/unpack_x86.asm>
    $<$<AND:$<BOOL:${WAVPACK_ENABLE_ASM}>,$<BOOL:${HAVE_MASM}>,$<BOOL:${CPU_ASM_X64}>>:src/pack_x64.asm>
    $<$<AND:$<BOOL:${WAVPACK_ENABLE_ASM}>,$<BOOL:${HAVE_MASM}>,$<BOOL:${CPU_ASM_X64}>>:src/unpack_x64.asm>
    $<$<AND:$<BOOL:${WAVPACK_ENABLE_ASM}>,$<BOOL:${HAVE_ASM}>,$<BOOL:${CPU_ASM_X86}>>:src/pack_x86.S>
    $<$<AND:$<BOOL:${WAVPACK_ENABLE_ASM}>,$<BOOL:${HAVE_ASM}>,$<BOOL:${CPU_ASM_X86}>>:src/unpack_x86.S>
    $<$<AND:$<BOOL:${WAVPACK_ENABLE_ASM}>,$<BOOL:${HAVE_ASM}>,$<BOOL:${CPU_ASM_X64}>>:src/pack_x64.S>
    $<$<AND:$<BOOL:${WAVPACK_ENABLE_ASM}>,$<BOOL:${HAVE_ASM}>,$<BOOL:${CPU_ASM_X64}>>:src/unpack_x64.S>
    $<$<AND:$<BOOL:${WAVPACK_ENABLE_ASM}>,$<BOOL:${HAVE_ASM}>,$<BOOL:${CPU_ASM_ARM32}>>:src/unpack_armv7.S>
    $<$<AND:$<BOOL:${WIN32}>,$<BOOL:${BUILD_SHARED_LIBS}>>:wavpackdll/wavpackdll.rc>
)
target_include_directories(wavpack
    PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
        $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    PRIVATE
        $<$<BOOL:${WAVPACK_ENABLE_LIBCRYPTO}>:${OPENSSL_INCLUDE_DIR}>
)
target_link_libraries(wavpack
    PRIVATE
        $<$<BOOL:${HAVE_LIBM}>:m>
        $<$<BOOL:${WAVPACK_ENABLE_LIBCRYPTO}>:${OPENSSL_CRYPTO_LIBRARY}>
)
target_compile_definitions(wavpack
    PRIVATE
        $<$<BOOL:${WAVPACK_ENABLE_LEGACY}>:ENABLE_LEGACY>
        $<$<BOOL:${WAVPACK_ENABLE_DSD}>:ENABLE_DSD>
        $<$<BOOL:${MSVC}>:_CRT_SECURE_NO_WARNINGS>
        $<$<BOOL:${HAVE___BUILTIN_CLZ}>:HAVE___BUILTIN_CLZ>
        $<$<BOOL:${HAVE_FSEEKO}>:HAVE_FSEEKO>
        $<$<BOOL:${WAVPACK_ENABLE_LIBCRYPTO}>:HAVE_LIBCRYPTO>
        $<$<AND:$<BOOL:${WAVPACK_ENABLE_ASM}>,$<BOOL:${CPU_ASM_X86}>>:OPT_ASM_X86>
        $<$<AND:$<BOOL:${WAVPACK_ENABLE_ASM}>,$<BOOL:${CPU_ASM_X64}>>:OPT_ASM_X64>
        $<$<AND:$<BOOL:${WAVPACK_ENABLE_ASM}>,$<BOOL:${CPU_ASM_ARM32}>>:OPT_ASM_ARM32>
)

if(WAVPACK_ENABLE_ASM AND HAVE_MASM AND CPU_ASM_X86)
	set_source_files_properties(src/pack_x86.asm src/unpack_x86.asm PROPERTIES COMPILE_FLAGS "/safeseh")
endif()

if(WIN32 AND (NOT MINGW))
    if(BUILD_SHARED_LIBS)
        set_target_properties(wavpack PROPERTIES OUTPUT_NAME wavpackdll)
    else()
        set_target_properties(wavpack PROPERTIES OUTPUT_NAME libwavpack)
    endif()
endif()

# Symbols files

set(WAVPACK_EXPORT_SYMBOLS
    WavpackAddWrapper
    WavpackAppendBinaryTagItem
    WavpackAppendTagItem
    WavpackBigEndianToNative
    WavpackCloseFile
    WavpackDeleteTagItem
    WavpackFloatNormalize
    WavpackFlushSamples
    WavpackFreeWrapper
    WavpackGetAverageBitrate
    WavpackGetBinaryTagItem
    WavpackGetBinaryTagItemIndexed
    WavpackGetBitsPerSample
    WavpackGetBytesPerSample
    WavpackGetChannelIdentities
    WavpackGetChannelLayout
    WavpackGetChannelMask
    WavpackGetEncodedNoise
    WavpackGetErrorMessage
    WavpackGetFileExtension
    WavpackGetFileFormat
    WavpackGetFileSize
    WavpackGetFileSize64
    WavpackGetFloatNormExp
    WavpackGetInstantBitrate
    WavpackGetLibraryVersion
    WavpackGetLibraryVersionString
    WavpackGetMD5Sum
    WavpackGetMode
    WavpackGetNativeSampleRate
    WavpackGetNumBinaryTagItems
    WavpackGetNumChannels
    WavpackGetNumErrors
    WavpackGetNumSamples
    WavpackGetNumSamples64
    WavpackGetNumSamplesInFrame
    WavpackGetNumTagItems
    WavpackGetProgress
    WavpackGetQualifyMode
    WavpackGetRatio
    WavpackGetReducedChannels
    WavpackGetSampleIndex
    WavpackGetSampleIndex64
    WavpackGetSampleRate
    WavpackGetTagItem
    WavpackGetTagItemIndexed
    WavpackGetVersion
    WavpackGetWrapperBytes
    WavpackGetWrapperData
    WavpackGetWrapperLocation
    WavpackLittleEndianToNative
    WavpackLossyBlocks
    WavpackNativeToBigEndian
    WavpackNativeToLittleEndian
    WavpackOpenFileInput
    WavpackOpenFileInputEx
    WavpackOpenFileInputEx64
    WavpackOpenFileOutput
    WavpackOpenRawDecoder
    WavpackPackInit
    WavpackPackSamples
    WavpackSeekSample
    WavpackSeekSample64
    WavpackSeekTrailingWrapper
    WavpackSetChannelLayout
    WavpackSetConfiguration
    WavpackSetConfiguration64
    WavpackSetFileInformation
    WavpackStoreMD5Sum
    WavpackUnpackSamples
    WavpackUpdateNumSamples
    WavpackVerifySingleBlock
    WavpackWriteTag
)

if(BUILD_SHARED_LIBS AND (WIN32 OR CYGWIN))
    set(FILE_CONTENTS "EXPORTS\n")
    foreach(EXPORT_SYMBOL ${WAVPACK_EXPORT_SYMBOLS})
        list(APPEND FILE_CONTENTS "    ${EXPORT_SYMBOL}\n")
    endforeach()

    file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/libwavpack.def ${FILE_CONTENTS})
    target_sources(wavpack PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/libwavpack.def)

elseif(CMAKE_SYSTEM_NAME MATCHES "Darwin")
    set(FILE_CONTENTS "")
    foreach(EXPORT_SYMBOL ${WAVPACK_EXPORT_SYMBOLS})
        list(APPEND FILE_CONTENTS "_${EXPORT_SYMBOL}\n")
    endforeach()
    file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/libwavpack.sym ${FILE_CONTENTS})
    target_link_libraries(wavpack PRIVATE "-Wl,-exported_symbols_list,'${CMAKE_CURRENT_BINARY_DIR}/libwavpack.sym'")
else()
    set(CONFTTEST_CONTENTS "VERS_1 {\n    global: sym\;\n\n};\n\nVERS_2 {\n    global: sym;\n} VERS_1\;")
    file(WRITE ${PROJECT_BINARY_DIR}/${CMAKE_FILES_DIRECTORY}/conftest.map "${CONFTTEST_CONTENTS}")
    check_c_linker_flag("-Wl,--version-script='${PROJECT_BINARY_DIR}/${CMAKE_FILES_DIRECTORY}/conftest.map'" COMPILER_SUPPORTS_SYMBOL_MAPS)

    if(COMPILER_SUPPORTS_SYMBOL_MAPS)
        set(FILE_CONTENTS "{ global:\n")
        foreach(EXPORT_SYMBOL ${WAVPACK_EXPORT_SYMBOLS})
            list(APPEND FILE_CONTENTS "${EXPORT_SYMBOL}\;\n")
        endforeach()
        list(APPEND FILE_CONTENTS "local: *\; }\;")
        file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/libwavpack.map ${FILE_CONTENTS})
        target_link_libraries(wavpack PRIVATE "-Wl,--version-script='${CMAKE_CURRENT_BINARY_DIR}/libwavpack.map';-Wl,-no-undefined")
    endif()
endif()

set_target_properties(wavpack PROPERTIES PUBLIC_HEADER include/wavpack.h)

if(WAVPACK_BUILD_PROGRAMS)

	add_executable(wavpackapp
		cli/wavpack.c
		cli/riff.c
		cli/wave64.c
		cli/caff.c
		cli/dsdiff.c
		cli/dsf.c
		cli/utils.c
		cli/md5.c
		cli/import_id3.c
		$<$<BOOL:${WIN32}>:cli/win32_unicode_support.h>
		$<$<BOOL:${WIN32}>:cli/win32_unicode_support.c>
	)
	target_compile_definitions(wavpackapp
		PRIVATE
			$<$<BOOL:${MSVC}>:_CRT_SECURE_NO_WARNINGS>

## wavpack 4.60.1

=== debian/changelog ===
wavpack (4.60.1-2) unstable; urgency=low

  * Team upload.
  * Enable Multi-Arch support (Closes: #651017):
    - debian/{*.install,control,rules}: Update references and enable
      Multi-Arch: same; patch from Becka Morgan.
    - debian/patches/0001-pkgconfig.patch: Avoid wavpack.pc to be
      broken after switching to Multi-Arch.
  * Fix lintian's warnings:
    - binary-control-field-duplicates-source
    - copyright-refers-to-deprecated-bsd-license-file
    - description-synopsis-starts-with-article
  * Enable MMX extensions on amd64.
  * Correct maintainer's name, add VCS fields.
  * Bump debian/compat.
  * Bump Standards version.
  * Add gbp config file.

 -- Alessio Treglia <alessio@debian.org>  Mon, 05 Dec 2011 11:36:14 +0100

wavpack (4.60.1-1) unstable; urgency=low

  * New upstream release:
    + debian/rules:
      - Some cleanup.
    + debian/*.1.xml,
      debian/wavpack.manpages,
      debian/control:
      - Manpages are upstream now.
  * debian/source/format:
    + Switch to 3.0 (quilt) and use upstream's tar.bz2.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 03 Dec 2009 09:51:39 +0100

wavpack (4.60.0-1) unstable; urgency=low

  * New upstream release:
    + debian/libwavpack1.symbols,
      debian/libwavpack1.shlibs:
      - Updated for the API additions.
  * debian/control:
    + Updated Standards-Version to 3.8.3.
    + Add ${shlibs:Depends} to the -dev package.
  * debian/control,
    debian/compat:
    + Updated to debhelper compat level 6.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Oct 2009 07:22:03 +0200

wavpack (4.50.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 Jul 2008 12:35:46 +0200

wavpack (4.50.0-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/01_memory-alignment.patch:
      - Dropped, fixed different upstream.
    + debian/libwavpack1.shlibs:
      - Updated to >= 4.50.0 because of new flags for some functions.
  * debian/control:
    + Set maintainer to pkg-multimedia.
    + Wrap control fields.
    + Move homepage to the Homepage field.
    + Update Standards-Version to 3.8.0, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 26 Jun 2008 13:02:38 +0200

wavpack (4.41.0-2) unstable; urgency=low

  * debian/libwavpack1.symbols,
    debian/control:
    + Add a symbol file for WavPack and build depend on new enough dpkg-dev
      for this.
  * debian/control:
    + Update Standards-Version to 3.7.3, no additional changes needed.
    + Use ${binary:Version} instead of ${Source-Version}.
  * debian/patches/01_memory-alignment.patch:
    + Fix alignment issues which result in a SIGBUS on sparc (Closes: #476234).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 15 Apr 2008 12:22:24 +0200

wavpack (4.41.0-1) unstable; urgency=low

  * New upstream release without API changes.
  * debian/patches/01_fix-undefined-extern.diff:
    + Dropped, not necessary anymore.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 21 May 2007 12:11:16 +0200

wavpack (4.40.0-2) unstable; urgency=low

  * Upload to unstable
  * debian/control:
    + Update to use my debian.org mail address

 -- Sebastian Dröge <slomo@debian.org>  Mon, 16 Apr 2007 01:07:27 +0200

wavpack (4.40.0-1) experimental; urgency=low

  [ Sebastian Dröge ]
  * New upstream release
  * debian/control:
    + Update package name for new soname and remove now unnecessary conflicts
    + Drop unnecessary libncurses (build) dependency
  * debian/rules:
    + Adjust for new package name
  * debian/libwavpack1.shlibs:
    + Set shlibs minimal version from here
  * debian/patches/01_fix-undefined-extern.diff:
    + Updated for new file locations
  * debian/compat:
    + Update to 5

  [ Loic Minier ]
  * Add year 2006 to copyright.

 -- Loic Minier <lool@dooz.org>  Mon, 11 Dec 2006 15:52:24 +0100

wavpack (4.32-2) unstable; urgency=low

  * Make sure that dh_makeshlibs of libwavpack0 is called before dh_shlibdeps
    of wavpack to generate correct dependencies.

 -- Sebastian Dröge <slomo@ubuntu.com>  Mon, 24 Apr 2006 20:30:48 +0200

wavpack (4.32-1) unstable; urgency=low

  * New upstream release:
    + New wvgain utility for calculating and adding ReplayGain informations
      to files
    + Fix a crasher on big-endian systems
    + Some usuability improvements to the commandline utilities
  * No need to use -fsigned-char anymore
  * debian/wvgain.1.xml: added manpage for the new wvgain utility
  * List files which are not in any package after build
  * Add a Conflict with gstreamer0.8-misc (<< 0.8.12-2) on libwavpack0 as this
    update breaks ABI and gst-plugins0.8 has to be rebuild against the new
    version. I didn't invent a .debian soname as upstream promises to use a
    correct soname in the future when breaking ABI and gstreamer0.8-misc is
    the only rdepend.

 -- Sebastian Dröge <slomo@ubuntu.com>  Thu, 20 Apr 2006 11:58:09 +0200

wavpack (4.3-2) unstable; urgency=low

  * Use -fsigned-char to solve problems with decoding/encoding on different
    archs where chars are unsigned by default (including powerpc)
  * Install the README only in the -dev package

 -- Sebastian Dröge <slomo@ubuntu.com>  Thu, 17 Nov 2005 18:38:32 +0100

wavpack (4.3-1) unstable; urgency=low

  * Initial Revision (Closes: #333087)
  * 01_fix-undefined-extern.diff:
    + Fix from Gnome BTS #321212 for setting an extern variable. Fixes
      gstreamer plugin and maybe more

 -- Sebastian Dröge <slomo@ubuntu.com>  Fri, 11 Nov 2005 16:42:07 +0100

=== debian/control ===
Source: wavpack
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Loic Minier <lool@dooz.org>
Build-Depends: cdbs (>= 0.4.93~),
               debhelper (>= 8.1.3~),
               dpkg-dev (>= 1.14.13)
Standards-Version: 3.9.2
Homepage: http://www.wavpack.com
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/wavpack.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/wavpack.git

Package: libwavpack1
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: audio codec (lossy and lossless) - library
 WavPack is a completely open audio compression format providing lossless,
 high-quality lossy, and a unique hybrid compression mode. Although the
 technology is loosely based on previous versions of WavPack, the new version
 4 format has been designed from the ground up to offer unparalleled
 performance and functionality.
 .
 This package contains the shared libraries necessary to run programs
 using libwavpack.

Package: libwavpack-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libwavpack1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: audio codec (lossy and lossless) - development files
 WavPack is a completely open audio compression format providing lossless,
 high-quality lossy, and a unique hybrid compression mode. Although the
 technology is loosely based on previous versions of WavPack, the new version
 4 format has been designed from the ground up to offer unparalleled
 performance and functionality.
 .
 This package contains the header files, static libraries
 and symbolic links that developers using libwavpack will need.

Package: wavpack
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: audio codec (lossy and lossless) - encoder and decoder
 WavPack is a completely open audio compression format providing lossless,
 high-quality lossy, and a unique hybrid compression mode. Although the
 technology is loosely based on previous versions of WavPack, the new version
 4 format has been designed from the ground up to offer unparalleled
 performance and functionality.
 .
 This package contains an encoder and decoder for wavpack files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

common-binary-post-install-arch:: list-missing

DEB_SHLIBDEPS_INCLUDE := debian/libwavpack1/usr/lib
DEB_DH_MAKESHLIBS_ARGS_libwavpack1 += -- -c4

DEB_INSTALL_DOCS_ALL = 
DEB_INSTALL_DOCS_libwavpack-dev = README

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

ifeq ($(DEB_BUILD_ARCH),amd64)
DEB_CONFIGURE_EXTRA_FLAGS += --enable-mmx
endif

## wavpack 4.70.0

=== debian/changelog ===
wavpack (4.70.0-1ubuntu0.2) trusty-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-19840.patch: checking
      if sample_rate is not zero in src/wputils.c and
      removing register keyword in src/read_words.c.
    - CVE-2018-19840

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 05 Dec 2018 15:14:37 -0300

wavpack (4.70.0-1ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Denial of service via crafted WV file
    - debian/patches/CVE-2016-10169.patch: fix in words.c.
    - CVE-2016-10169

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 12 Feb 2018 09:43:33 -0300

wavpack (4.70.0-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/0001-pkgconfig.patch,
      debian/patches/0002-largefile.patch:
      - Drop patches that were merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 31 Oct 2013 16:47:06 +0100

wavpack (4.60.1-3) unstable; urgency=low

  * Team upload.
  * Check for large files support on 32-bit systems too.
    Thanks to Frank Lübeck for the report. (Closes: #666340)
  * Add dh-autoreconf to the build.
  * Bump debhelper requirement to match debian/compat.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 01 Apr 2012 11:43:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: wavpack
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Loic Minier <lool@dooz.org>
 Build-Depends: cdbs (>= 0.4.93~),
-               debhelper (>= 8.1.3~),
+               debhelper (>= 9),
+               dh-autoreconf,
                dpkg-dev (>= 1.14.13)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.wavpack.com
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/wavpack.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/wavpack.git

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
 common-binary-post-install-arch:: list-missing

## wavpack 4.75.0

=== debian/changelog ===
wavpack (4.75.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - improved: reorganization for modularity and to improve linking
    - added: assembler optimizations for encode/decode on x86 and x64
    - added: assembler optimizations for decoding on ARMv7 (Linux)
    - improved: several minor speed optimizations using intrinsics
    - fixed: wavpack.pc.in not working correctly on some Linux distros
    - fixed: memcpy() issue causing abort() on OpenBSD
  * Touch Standards-Version

 -- Alessio Treglia <alessio@debian.org>  Wed, 10 Jun 2015 19:17:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: wavpack
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Loic Minier <lool@dooz.org>
 Build-Depends: cdbs (>= 0.4.93~),
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.14.13)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://www.wavpack.com
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/wavpack.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/wavpack.git

## wavpack 4.75.2

=== debian/changelog ===
wavpack (4.75.2-2ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-19840.patch: checking
      if sample_rate is not zero in src/pack_utils.c and
      removing register keyword in src/read_words.c.
    - CVE-2018-19840

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 05 Dec 2018 16:51:11 -0300

wavpack (4.75.2-2ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Denial of service via crafted WV file
    - debian/patches/CVE-2016-10169.patch: fix in words.c.
    - CVE-2016-10169

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 12 Feb 2018 11:33:50 -0300

wavpack (4.75.2-2) unstable; urgency=medium

  * Team upload.
  * debian/rules:
    - No longer pass --enable-mmx on amd64. It was removed.
    - Pass --disable-asm on armel and armhf to fix FTBFS.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 17 Jan 2016 17:39:03 +0100

wavpack (4.75.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/mark-stack-non-executable.patch: Mark stack as
    non-executable. Thanks to Russell Coker for the patch. (Closes: #793320)
  * debian/control: Remove ${shlibs:Depends} from libwavpack-dev's Depends.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 17 Jan 2016 13:39:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wavpack
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Loic Minier <lool@dooz.org>
 Build-Depends: cdbs (>= 0.4.93~),
@@ -35,7 +36,6 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libwavpack1 (= ${binary:Version}),
-         ${shlibs:Depends},
          ${misc:Depends}
 Description: audio codec (lossy and lossless) - development files
  WavPack is a completely open audio compression format providing lossless,

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,6 @@
 
 DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
-ifeq ($(DEB_BUILD_ARCH),amd64)
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-mmx
+ifeq (,$(filter-out armel armhf,$(DEB_HOST_ARCH)))
+DEB_CONFIGURE_EXTRA_FLAGS += --disable-asm
 endif

## wavpack 4.80.0

=== debian/changelog ===
wavpack (4.80.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/mark-stack-non-executable.patch: Removed, included
    upstream.
  * debian/control:
    - Bump Standards-Version, no changes needed.
    - Update Vcs-*.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 05 Apr 2016 21:47:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: wavpack
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Loic Minier <lool@dooz.org>
 Build-Depends: cdbs (>= 0.4.93~),
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.14.13)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://www.wavpack.com
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/wavpack.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/wavpack.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/wavpack.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/wavpack.git
 
 Package: libwavpack1
 Architecture: any

## wavpack 5.0.0

=== debian/changelog ===
wavpack (5.0.0-2+deb9u3) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix multiple security issues.
    (Fixes: CVE-2018-19840, CVE-2018-19841, CVE-2019-1010315,
            CVE-2019-1010317, CVE-2019-1010319, CVE-2019-11498,
            CVE-2020-35738)
    (Closes: #915564, #915565, #932060, #932061, #927903, #978548)

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 15 Jan 2021 15:23:22 +0530

wavpack (5.0.0-2+deb9u2) stretch-security; urgency=medium

  * CVE-2018-10536 CVE-2018-10537 CVE-2018-10538 CVE-2018-10539
    CVE-2018-10540

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 30 Apr 2018 20:34:34 +0000

wavpack (5.0.0-2+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2018-6767, CVE-2018-7253, CVE-2018-7254
    several vulnerabilities allow a remote attacker to cause a 
    denial-of-service or have unspecified other impact via 
    maliciously crafted files (RF64, DSDIFF, CAF)
 
 -- Sebastien Delafond <seb@debian.org>  Tue, 27 Feb 2018 15:15:53 +0100

wavpack (5.0.0-2) unstable; urgency=medium

  * Team upload.
  * debian/patches: Apply upstream fix to fix some fuzz failures
    (CVE-2016-10169, CVE-2016-10170, CVE-2016-10171, CVE-2016-10172). (Closes:
    #853076)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 30 Jan 2017 21:04:05 +0100

wavpack (5.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/libwavpack1.symbols: Add new symbols.
  * debian/copyright: Update copyright information.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 02 Jan 2017 13:56:51 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.14.13)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.wavpack.com
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/wavpack.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/wavpack.git

## wavpack 5.1.0

=== debian/changelog ===
wavpack (5.1.0-7) unstable; urgency=medium

  * debian/patches: Cherry-pick upstream patches to fix use of uninitialized
    values. (CVE-2019-1010317, CVE-2019-1010319) (Closes: #932060, #932061)
  * debian/: Bump debhelper compat to 12.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 14 Jul 2019 21:10:51 +0200

wavpack (5.1.0-6) unstable; urgency=medium

  * debian/patches: Cherry-pick upstream patches to fix use of uninitialized
    values. (CVE-2019-11498) (Closes: #927903)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Apr 2019 23:30:18 +0200

wavpack (5.1.0-5) unstable; urgency=medium

  * debian/control: Bump Standards-Version.
  * debian/patches: Cherry-pick upstream patches for multiple CVEs
    (CVE-2018-19840, CVE-2018-19841). (Closes: #915564, #915565)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Dec 2018 09:43:52 +0100

wavpack (5.1.0-4) unstable; urgency=medium

  * debian/control:
    - Remove old Pre-Depends.
    - Add myself to Uploaders.
    - Bump Standards-Version.
  * debian/copyright: Convert to CF-1.0.
  * debian/:
    - Convert to dh.
    - Bump debhelper compat level to 11.
  * debian/watch: Update to version 4.
  * debian/rules: Build with all hardening options enabled.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 28 Jul 2018 17:53:07 +0200

wavpack (5.1.0-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/rules: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version.
  * debian/patches:
    - Cherry-pick upstream patches for multiple CVEs (CVE-2018-7254,
      CVE-2018-7253, CVE-2018-6767, CVE-2018-10540, CVE-2018-10539,
      CVE-2018-10538, CVE-2018-10537, CVE-2018-10536). (Closes: #889274,
      #889276, #889559, #897271, #890014)
    - Fix a memory leak.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 01 May 2018 09:52:12 +0200

wavpack (5.1.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0.
  * Drop myself from Uploaders.

 -- Loïc Minier <lool@debian.org>  Sun, 09 Jul 2017 21:32:49 +0200

wavpack (5.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches: Removed patches included upstream.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 15 Jun 2017 12:59:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,19 @@
 Source: wavpack
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
-           Loic Minier <lool@dooz.org>
-Build-Depends: cdbs (>= 0.4.93~),
-               debhelper (>= 9),
-               dh-autoreconf,
-               dpkg-dev (>= 1.14.13)
-Standards-Version: 3.9.8
+           Sebastian Ramacher <sramacher@debian.org>
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.0
 Homepage: http://www.wavpack.com
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/wavpack.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/wavpack.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/wavpack.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/wavpack
 
 Package: libwavpack1
 Architecture: any
 Multi-Arch: same
 Section: libs
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: audio codec (lossy and lossless) - library

## wavpack 5.1.0.2

=== debian/changelog ===
wavpack (5.1.0.2-1+dde) unstable; urgency=medium

  * fix CVE-2020-35738 CVE-2021-44269.
  * 

 -- xinpeng wang <wangxinpeng@uniontech.com>  Tue, 15 Mar 2022 20:04:09 +0800

wavpack (5.1.0.1-1+dde) unstable; urgency=medium

  * debian/patches: Cherry-pick upstream patches to fix use of uninitialized
    values. (CVE-2019-11498) (Closes: #927903)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Apr 2019 23:30:18 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sebastian Ramacher <sramacher@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.2.1
 Homepage: http://www.wavpack.com
 Vcs-Git: https://salsa.debian.org/multimedia-team/wavpack.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/wavpack

## wavpack 5.2.0

=== debian/changelog ===
wavpack (5.2.0-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds write
    - debian/patches/CVE-2020-35738.patch: checks bounds
      in order to avoid/fix integer overflows resulting in buffer
      overruns in src/pack_utils.c.
    - CVE-2020-35738

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 05 Jan 2021 10:55:22 -0300

wavpack (5.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Sebastian Ramacher ]
  * New upstream version 5.2.0
  * debian/rules: Override with new changelog path
  * debian/patches: Remove all patches, all included upstream
  * debian/control: Set RRR: no

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 31 Dec 2019 09:46:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: wavpack
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sebastian Ramacher <sramacher@debian.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.1
 Homepage: http://www.wavpack.com
 Vcs-Git: https://salsa.debian.org/multimedia-team/wavpack.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/wavpack
+Rules-Requires-Root: no
 
 Package: libwavpack1
 Architecture: any

## wavpack 5.3.0

=== debian/changelog ===
wavpack (5.3.0-1ubuntu0.1) groovy-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds write
    - debian/patches/CVE-2020-35738.patch: checks bounds
      in order to avoid/fix integer overflows resulting in buffer
      overruns in src/pack_utils.c.
    - CVE-2020-35738

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 05 Jan 2021 11:23:12 -0300

wavpack (5.3.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 21 Apr 2020 22:25:00 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://www.wavpack.com
 Vcs-Git: https://salsa.debian.org/multimedia-team/wavpack.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/wavpack

## wavpack 5.4.0

=== debian/changelog ===
wavpack (5.4.0-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: Drop patches integrated upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 20 Jan 2021 21:40:02 +0100

wavpack (5.3.0-2) unstable; urgency=medium

  * debian/control: Bump Standards-Version
  * debian/: Bump debhelper compat to 13
  * debian/patches: Add upstream patches for CVE-2020-35738 (Closes: #978548)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 30 Dec 2020 10:40:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: wavpack
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sebastian Ramacher <sramacher@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Homepage: http://www.wavpack.com
 Vcs-Git: https://salsa.debian.org/multimedia-team/wavpack.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/wavpack

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/architecture.mk

FLAGS  =
ifeq (,$(filter-out armel armhf,$(DEB_HOST_ARCH)))
FLAGS += --disable-asm
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(FLAGS)

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4
http://www.wavpack.com/downloads.html \
	wavpack-(.*\..*)\.tar\.bz2

## wavpack 5.5.0

=== debian/changelog ===
wavpack (5.5.0-1) unstable; urgency=medium

  * New upstream version 5.5.0
    - Fix out-of-bounds read (CVE-2021-44269)
  * debian/control: Bump Standards-Version
  * debian/copyright: Bump copyright years
  * debian/libwavpack-dev.install: No longer install static library
  * debian/rules: Build with --disable-rpath

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 13 Jul 2022 10:33:29 +0200

## wavpack 5.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.2)
 
-project(WavPack VERSION 5.2.0)
+project(WavPack VERSION 5.6.0)
 
 # Languages
 
@@ -148,7 +148,7 @@
 
 cmake_dependent_option(WAVPACK_ENABLE_ASM "Enable assembly optimizations" ON "HAVE_ASM OR HAVE_MASM" OFF)
 cmake_dependent_option(WAVPACK_ENABLE_LIBCRYPTO "Use OpenSSL::Crypto library" ON "OPENSSL_FOUND" OFF)
-cmake_dependent_option(WAVPACK_BUILD_PROGRAMS "Build programs" ON "Iconv_FOUND" OFF)
+cmake_dependent_option(WAVPACK_BUILD_PROGRAMS "Build programs" ON "WIN32 OR Iconv_FOUND" OFF)
 cmake_dependent_option(WAVPACK_BUILD_COOLEDIT_PLUGIN "Build CoolEdit plugin" ON "WIN32" OFF)
 cmake_dependent_option(WAVPACK_BUILD_WINAMP_PLUGIN "Build WinAmp plugin" ON "WIN32" OFF)
 cmake_dependent_option(BUILD_TESTING "Build tests" ON "NOT WIN32" OFF)
@@ -202,14 +202,29 @@
     PUBLIC
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
         $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
-    PRIVATE
-        $<$<BOOL:${WAVPACK_ENABLE_LIBCRYPTO}>:${OPENSSL_INCLUDE_DIR}>
 )
 target_link_libraries(wavpack
     PRIVATE
         $<$<BOOL:${HAVE_LIBM}>:m>
-        $<$<BOOL:${WAVPACK_ENABLE_LIBCRYPTO}>:${OPENSSL_CRYPTO_LIBRARY}>
-)
+)
+add_library(WavPack::WavPack ALIAS wavpack)
+
+if(CMAKE_VERSION VERSION_LESS 3.4)
+    target_include_directories(wavpack
+        PRIVATE
+            $<$<BOOL:${WAVPACK_ENABLE_LIBCRYPTO}>:${OPENSSL_INCLUDE_DIR}>
+    )
+    target_link_libraries(wavpack
+        PRIVATE
+            $<$<BOOL:${WAVPACK_ENABLE_LIBCRYPTO}>:${OPENSSL_CRYPTO_LIBRARY}>
+    )
+else()
+    target_link_libraries(wavpack
+        PRIVATE
+            $<$<BOOL:${WAVPACK_ENABLE_LIBCRYPTO}>:OpenSSL::Crypto>
+    )
+endif()
+
 target_compile_definitions(wavpack
     PRIVATE
         $<$<BOOL:${WAVPACK_ENABLE_LEGACY}>:ENABLE_LEGACY>
@@ -313,7 +328,8 @@
     WavpackWriteTag
 )
 
-if(BUILD_SHARED_LIBS AND (WIN32 OR CYGWIN))
+if(BUILD_SHARED_LIBS)
+  if(WIN32 OR CYGWIN)
     set(FILE_CONTENTS "EXPORTS\n")
     foreach(EXPORT_SYMBOL ${WAVPACK_EXPORT_SYMBOLS})
         list(APPEND FILE_CONTENTS "    ${EXPORT_SYMBOL}\n")
@@ -321,47 +337,27 @@
 
     file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/libwavpack.def ${FILE_CONTENTS})
     target_sources(wavpack PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/libwavpack.def)
-
-elseif(CMAKE_SYSTEM_NAME MATCHES "Darwin")
+  elseif(CMAKE_SYSTEM_NAME MATCHES "Darwin")
     set(FILE_CONTENTS "")
     foreach(EXPORT_SYMBOL ${WAVPACK_EXPORT_SYMBOLS})
         list(APPEND FILE_CONTENTS "_${EXPORT_SYMBOL}\n")
     endforeach()
     file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/libwavpack.sym ${FILE_CONTENTS})
-    target_link_libraries(wavpack PRIVATE "-Wl,-exported_symbols_list,'${CMAKE_CURRENT_BINARY_DIR}/libwavpack.sym'")
-else()
-    set(CONFTTEST_CONTENTS "VERS_1 {\n    global: sym\;\n\n};\n\nVERS_2 {\n    global: sym;\n} VERS_1\;")
+    if(CMAKE_VERSION VERSION_LESS 3.13)
+        set_target_properties(wavpack PROPERTIES LINK_FLAGS "-Wl,-exported_symbols_list,'${CMAKE_CURRENT_BINARY_DIR}/libwavpack.sym'") 
+    else()
+        target_link_directories(wavpack PRIVATE "-Wl,-exported_symbols_list,${CMAKE_CURRENT_BINARY_DIR}/libwavpack.sym")
+    endif()
+  else()
+    set(CONFTTEST_CONTENTS "VERS_1 {\n    global: sym;\n};\n\nVERS_2 {\n    global: sym;\n} VERS_1;\n")
     file(WRITE ${PROJECT_BINARY_DIR}/${CMAKE_FILES_DIRECTORY}/conftest.map "${CONFTTEST_CONTENTS}")
-    check_c_linker_flag("-Wl,--version-script='${PROJECT_BINARY_DIR}/${CMAKE_FILES_DIRECTORY}/conftest.map'" COMPILER_SUPPORTS_SYMBOL_MAPS)
+    check_c_linker_flag("-Wl,--version-script=${PROJECT_BINARY_DIR}/${CMAKE_FILES_DIRECTORY}/conftest.map" COMPILER_SUPPORTS_SYMBOL_MAPS)
 
     if(COMPILER_SUPPORTS_SYMBOL_MAPS)
-        set(FILE_CONTENTS "{ global:\n")
+        set(FILE_CONTENTS "{\n global:\n")
         foreach(EXPORT_SYMBOL ${WAVPACK_EXPORT_SYMBOLS})
-            list(APPEND FILE_CONTENTS "${EXPORT_SYMBOL}\;\n")
+            set(FILE_CONTENTS "${FILE_CONTENTS}  ${EXPORT_SYMBOL};\n")
         endforeach()
-        list(APPEND FILE_CONTENTS "local: *\; }\;")
-        file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/libwavpack.map ${FILE_CONTENTS})
-        target_link_libraries(wavpack PRIVATE "-Wl,--version-script='${CMAKE_CURRENT_BINARY_DIR}/libwavpack.map';-Wl,-no-undefined")
-    endif()
-endif()
-
-set_target_properties(wavpack PROPERTIES PUBLIC_HEADER include/wavpack.h)
-
-if(WAVPACK_BUILD_PROGRAMS)
-
-	add_executable(wavpackapp
-		cli/wavpack.c
-		cli/riff.c
-		cli/wave64.c
-		cli/caff.c
-		cli/dsdiff.c
-		cli/dsf.c
-		cli/utils.c
-		cli/md5.c
-		cli/import_id3.c
-		$<$<BOOL:${WIN32}>:cli/win32_unicode_support.h>
-		$<$<BOOL:${WIN32}>:cli/win32_unicode_support.c>
-	)
-	target_compile_definitions(wavpackapp
-		PRIVATE
-			$<$<BOOL:${MSVC}>:_CRT_SECURE_NO_WARNINGS>
+        set(FILE_CONTENTS "${FILE_CONTENTS} local: *;\n};\n")
+        file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/libwavpack.map "${FILE_CONTENTS}")
+        if(CMAKE_VERSION VERSION_LESS 3.13)

=== debian/changelog ===
wavpack (5.6.0-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:21:52 +0200

wavpack (5.6.0-1) unstable; urgency=medium

  * New upstream version 5.6.0

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 02 Dec 2022 21:49:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: wavpack
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: http://www.wavpack.com
 Vcs-Git: https://salsa.debian.org/multimedia-team/wavpack.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/wavpack

## wavpack 5.7.0

=== debian/changelog ===
wavpack (5.7.0-1) unstable; urgency=medium

  * New upstream version 5.7.0
  * debian/control: Bump Standards-Version
  * debian/copyright: Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 05 Mar 2024 21:31:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: wavpack
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://www.wavpack.com
 Vcs-Git: https://salsa.debian.org/multimedia-team/wavpack.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/wavpack
